package edu.travel.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "sms.blends.huoshan")
public class SmsSwitch {
    private String aK;

    private String sK;
    /**
     * 短信开关
     */
    private boolean enable;
    /**
     * 短信账号
     */
    private String smsAccount;
    /**
     * 国内签名
     */
    private String chinaSign;
    /**
     * 国外签名
     */
    private String otherSign;
    /**
     * 国内模板ID
     */
    private String chinaTemplateId;
    /**
     * 国外模板ID
     */
    private String otherTemplateId;
}
